GuideLab API

Set Whats App Template Event Override

Select an approved, account-bound lab template for an automatic WhatsApp event.

PUT
/whatsapp-templates/event-overrides/{eventKey}

Select an approved, account-bound lab template for an automatic WhatsApp event.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

eventKey*string

Value in

  • "order_received_lab"
  • "order_submitted_clinic"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/whatsapp-templates/event-overrides/order_received_lab" \  -H "Content-Type: application/json" \  -d '{    "templateId": "string"  }'
{  "data": [    {      "eventKey": "order_received_lab",      "selectedTemplateId": "string",      "selectedTemplate": {        "id": "string",        "displayName": "string",        "language": "string"      },      "effectiveSource": "override",      "fallbackReason": "not_configured",      "requiredVariables": {        "property1": "string",        "property2": "string"      },      "accountState": "unbound"    }  ]}
Empty
Empty
Empty